summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2016-09-07 15:47:47 +0200
committerFilip Tehlar <ftehlar@cisco.com>2016-09-12 14:41:10 +0200
commitbf231ba795387064e7c4f1781240619429a4ef29 (patch)
tree86da34369910ca1c85672ed30d4374d4ecda9ac3 /tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
parent1df1d674eaace35d52973786403eb1dbe3c0d5eb (diff)
Introduce an option for testing binary API
This patch introduces an option for choosing a configuration method in tests. Supported methods are VAT and vpp's debug CLI. * Added new aprameter to run.sh to define method (--cfg-method [vat|cli]). Defaults to vat. * When running a test separately the method can be set as follows: $ sudo CFG_METHOD=cli ./tests/<test_case>.sh Again, it defaults to 'vat' if not provided. * Increased readability in test driver scripts when checking test status * When debugging you can stop test execution by running the test with WAIT=1: $ sudo WAIT=1 tests/<test_case>.sh Change-Id: If851139cff072ba2e3b3594a3345763d360f3b59 Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh26
1 files changed, 4 insertions, 22 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh b/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
index 5a3dc83..2dd2a12 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
@@ -24,35 +24,17 @@ function test_rtr_two_iface_two_customers {
test_result=0
rc=0
- if [ "$3" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
ip netns exec vpp1-cus1-ns "${1}" -w 20 -c 1 "${2}"
- rc=$?
- if [ $rc -ne 0 ] ; then
- echo "Error: customer 1 did not receive any response!"
- test_result=1
- fi
+ assert_rc_ok $? rtr_two_iface_two_customers_clean "No response received!"
ip netns exec vpp1-cus2-ns "${1}" -w 20 -c 1 "${2}"
rc=$?
- if [ $rc -ne 0 ] ; then
- echo "Error: customer 2 did not receive any response!"
- test_result=1
- fi
- if [ "$3" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
rtr_two_iface_two_customers_clean
-
- if [ $rc -ne 0 ] ; then
- echo "Test failed: No ICMP response received within specified timeout limit!"
- else
- echo "Test passed."
- fi
-
+ print_status $rc "No ICMP response!"
exit $test_result
}